#include <stdio.h>

int main() {
	/* Integervariable */
	int i = 13;
	/*
	 * Der Zeiger p zeigt auf eine int, denn
	 * er bekommt die Adresse von i (&i) zugewiesen
	 */
	int *p = &i;

	printf("i = %d, p = %08x, *p = %d\n", i, p, *p);

	/* i erhoehen => auch bei *p sichtbar, da *p nur anderer Name fuer i! */
	i++;

	printf("i = %d, p = %08x, *p = %d\n", i, p, *p);

	/* umgekehr wirkt sich dies auch bei i aus, ... logisch ;-) */
	(*p)++;

	printf("i = %d, p = %08x, *p = %d\n", i, p, *p);
	
	/*
	 * Fazit: Hinter *p steckt kein eigener Speicherplatz,
	 * sondern der Speicherplatz von i!!!
	 */

	return 0;
}
