#include <stdio.h>

int main() {
	char ch;

	/*
	 * Ersatzdarstellung fuer das Newline
	 */
	ch = '\n';

	/*
	 * Zeichen koennen als Integer und Zeichen verwendet werden;
	 * der Integer-Wert entspricht dem ASCII-Wert --> also ist ORD(.)
	 * wie in Modula oder Oberon nicht mehr noetig!
	 */
	printf("ch = '%c', ORD(ch) = %d\n", ch, ch);

	/* "normale" Zeichenkonstante */
	ch = 'A';

	printf("ch = '%c', ORD(ch) = %d\n", ch, ch);

	/*
	 * Zeichen durch den ASCII-Code angeben
	 * (char ist ein Integer-Typ!)
	 * => CHR() in C nicht noetig!
	 */
	ch = 65;
	/* ch = '\101'; */ /* alternative Ersatzsdarstellung ;-) */

	printf("ch = '%c', ORD(ch) = %d\n", ch, ch);

	/* man kann sogar wie mit einer anderen Integer arbeiten! */
	ch = ch + 1;

	printf("ch = '%c', ORD(ch) = %d\n", ch, ch);

	return 0;
}
